PYSIDE6-LUPDATE(1)

NAME
pyside6-lupdate - lupdate

DESCRIPTION

  Usage:

    lupdate [options] [project-file]... lupdate [options] [source-file|path|@lst-file]... -ts ts-files|@lst-file

lupdate is part of Qt's Linguist tool chain. It extracts translatable messages from Qt UI files, C++, Java and JavaScript/QtScript source code. Extracted messages are stored in textual translation source files (typically Qt TS XML). New and modified messages can be merged into existing TS files.

Passing .pro files to lupdate is deprecated. Please use the lupdate-pro tool instead.

OPTIONS

-help
    Display this information and exit.

-no-obsolete

    Drop all obsolete and vanished strings.

-extensions <ext>[,<ext>]...

    Process files with the given extensions only. The extension list must be separated with commas, not with whitespace. Default: 'java,jui,ui,c,c++,cc,cpp,cxx,ch,h,h++,hh,hpp,hxx,js,mjs,qs,qml,qrc'.

-pluralonly

    Only include plural form messages.

-silent

    Do not explain what is being done.

-no-sort

    Do not sort contexts in TS files.

-sort-messages

    Sort messages in a context alphabetically in TS files.

-no-recursive

    Do not recursively scan directories.

-recursive

    Recursively scan directories (default).

-warnings-are-errors

    Treat warnings as errors.

-I <includepath> or -I<includepath>

    Additional location to look for include files. May be specified multiple times.

-locations {absolute|relative|none}

    Specify/override how source code references are saved in TS files. absolute: Source file path is relative to target file. Absolute line

    number is stored.

relative: Source file path is relative to target file. Line number is
    relative to other entries in the same source file.

    none: no information about source location is stored. Guessed from existing TS files if not specified. Default is absolute for new files.

-no-ui-lines

    Do not record line numbers in references to UI files.

-disable-heuristic {sametext|similartext}

    Disable the named merge heuristic. Can be specified multiple times.

-project <filename>

    Name of a file containing the project's description in JSON format. Such a file may be generated from a .pro file using the lprodump tool.

-pro <filename>

    Name of a .pro file. Useful for files with .pro file syntax but different file suffix. Projects are recursed into and merged. This option is deprecated. Use the lupdate-pro tool instead.

-pro-out <directory>

    Virtual output directory for processing subsequent .pro files.

-pro-debug

    Trace processing .pro files. Specify twice for more verbosity.

-source-language <language>[_<region>]

    Specify the language of the source strings for new files. Defaults to POSIX if not specified.

-target-language <language>[_<region>]

    Specify the language of the translations for new files. Guessed from the file name if not specified.

-tr-function-alias <function>{+=,=}<alias>[,<function>{+=,=}<alias>]...

    With +=, recognize <alias> as an alternative spelling of <function>. With =, recognize <alias> as the only spelling of <function>. Available <function>s (with their currently defined aliases) are:

    Q_DECLARE_TR_FUNCTIONS (=Q_DECLARE_TR_FUNCTIONS) QT_TR_N_NOOP (=QT_TR_N_NOOP) QT_TRID_N_NOOP (=QT_TRID_N_NOOP) QT_TRANSLATE_N_NOOP (=QT_TRANSLATE_N_NOOP) QT_TRANSLATE_N_NOOP3 (=QT_TRANSLATE_N_NOOP3) QT_TR_NOOP (=QT_TR_NOOP) QT_TRID_NOOP (=QT_TRID_NOOP) QT_TRANSLATE_NOOP (=QT_TRANSLATE_NOOP) QT_TRANSLATE_NOOP3 (=QT_TRANSLATE_NOOP3) QT_TR_NOOP_UTF8 (=QT_TR_NOOP_UTF8) QT_TRANSLATE_NOOP_UTF8 (=QT_TRANSLATE_NOOP_UTF8) QT_TRANSLATE_NOOP3_UTF8 (=QT_TRANSLATE_NOOP3_UTF8) findMessage (=findMessage) qtTrId (=qtTrId) tr (=tr) trUtf8 (=trUtf8) translate (=translate) qsTr (=qsTr) qsTrId (=qsTrId) qsTranslate (=qsTranslate)

-ts <ts-file>...

    Specify the output file(s). This will override the TRANSLATIONS.

-version

    Display the version of lupdate and exit.

    @lst-file

    Read additional file names (one per line) or includepaths (one per line, and prefixed with -I) from lst-file.